<template>
  <g>
    <image
      v-for="(page, index) in source.pages" :key="page.image"
      :xlink:href="page.image"
      preserveAspectRatio="none"
      x="0"
      :y="index * source.height"
      :width="source.width"
      :height="source.height"
      @mouseover="$emit('image-mouseover')"
      @focusin="$emit('image-mouseover')"
    />
  </g>
</template>

<script lang="ts">
import type { Source } from '@/data';
import { Component, Prop, Vue } from 'vue-property-decorator';

@Component
export default class CanvasSource3D extends Vue {
  @Prop({ required: true })
  source!: Source;
}
</script>
